/{organizationId}/{mandateId}/booking/discountCodes/{discountCodeId}Get discount code
Returns a specific discount code with all of its details for a given mandate
Required permissions:
mandate.read
bookingDiscountCode.read
Path Parameters
organizationIdstringrequired mandateIdstringrequired discountCodeIdstringrequired Authentication: X-API-Key
Request
curl --request GET 'https://cloud.campai.com/api/{organizationId}/{mandateId}/booking/discountCodes/{discountCodeId}' \
--header 'X-API-Key: YOUR_API_KEY'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
ObjectId as string
ObjectId as string
typestringrequired Options:
eventresourcecodestringrequired minLength: 1
maxLength: 32
descriptionstringrequired maxLength: 200
Additional properties are not allowed.
appliesToServicesbooleanrequired tagsstring arrayrequired validFromdate-time | nullrequired validTodate-time | nullrequired stockinteger | nullrequired maximum: 9007199254740991
exclusiveMinimum: 0
usageintegerrequired minimum: 0
maximum: 9007199254740991
Response
{
"_id": "000000000000000000000001",
"mandate": "000000000000000000000001",
"type": "event",
"code": "string",
"description": "string",
"priceModifier": {
"value": 0,
"type": "%"
},
"appliesToServices": true,
"tags": "string",
"validFrom": "2026-06-15T22:30:00Z",
"validTo": "2026-06-15T22:30:00Z",
"stock": 1,
"usage": 0
}400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}404Not found
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}